/***************************************************************************
                          l1394avcresource.h  -  description
                             -------------------
    begin                : Fri Oct 27 2000
    copyright            : (C) 2000-2004 by Michael Repplinger
    email                : repplinger@cs.uni-sb.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//avc play commands;

#define VCR_PLAY 0xc3
#define VCR_NEXT_FRAME 0x30
#define VCR_SLOWEST_FORWARD 0x31
#define VCR_SLOW_FORWARD_6 0x32
#define VCR_SLOW_FORWARD_5 0x33
#define VCR_SLOW_FORWARD_4 0x34
#define VCR_SLOW_FORWARD_3 0x35
#define VCR_SLOW_FORWARD_2 0x36
#define VCR_SLOW_FORWARD_1 0x37
#define VCR_X1             0x38
#define VCR_FAST_FORWARD_1 0x39
#define VCR_FAST_FORWARD_2 0x3a
#define VCR_FAST_FORWARD_3 0x3b
#define VCR_FAST_FORWARD_4 0x3c
#define VCR_FAST_FORWARD_5 0x3d
#define VCR_FAST_FORWARD_6 0x3e
#define VCR_FASTEST_FORWARD 0x3f
#define VCR_PREVIOUS_FRAME 0x40
#define VCR_SLOW_REVERSE_6 0x42
#define VCR_SLOW_REVERSE_5 0x43
#define VCR_SLOW_REVERSE_4 0x44
#define VCR_SLOW_REVERSE_3 0x45
#define VCR_SLOW_REVERSE_2 0x46
#define VCR_SLOW_REVERSE_1 0x47
#define X1_REVERSE         0x48
#define VCR_FAST_REVERSE_1 0x49
#define VCR_FAST_REVERSE_2 0x4a
#define VCR_FAST_REVERSE_3 0x4b
#define VCR_FAST_REVERSE_4 0x4c
#define VCR_FAST_REVERSE_5 0x4d
#define VCR_FAST_REVERSE_6 0x4e
#define VCR_RVERSE         0x65
#define VCR_REVERSE_PAUSE  0x6d
#define VCR_FORWARD        0x75
#define VCR_FORWARD_PAUSE  0x7d

//vcr wind
#define VCR_WIND 0xc4
#define VCR_HIGH_SPEED_REWIND 0x45
#define VCR_STOP           0x60
#define VCR_REWIND         0x65
#define VCR_FORWARD        0x75

//vcr backward

#define VCR_BACKWARD 0x56





