/***************************************************************************
                          l1394_frame.h  -  description
                             -------------------
    begin                : Tue May 1 2001
    copyright            : (C) 2001-2004 by Michael Repplinger
    email                : repplix@studcs.uni-sb.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef L1394_FRAME_H
#define L1394_FRAME_H



namespace L1394{

/**
  *@author Michael Repplinger
  */
class Frame {
public: 
  Frame(char* , const int size);
  Frame(int size);
  virtual ~Frame();

  char* getBuffer()      const   { return buffer; }
  int   getBufferSize()  const   { return buffer_size; }

  void  setBufferSize(int i )    { buffer_size = i; }
  void  setBuffer(char* Buffer, const int buffer_size, bool is_owner = false);
private:
  Frame(const Frame&);
  void operator=(const Frame&);
  bool is_own_buffer;
  char* buffer;
  int buffer_size;
};
}//end namespace
#endif
